<?php 

//Remove title filters
remove_filter( 'wp_title', 'ebor_framework_wp_title', 10, 2 );

remove_action('wp_head', 'ebor_framework_load_favicons');

if(!( function_exists('ebor_remove_more_link_scroll') )){ 
	function ebor_remove_more_link_scroll( $link ) {
		$link = preg_replace( '|#more-[0-9]+|', '', $link );
		return $link;
	}
	add_filter( 'the_content_more_link', 'ebor_remove_more_link_scroll' );
}

/**
 * Force easy google fonts plugin styles
 */
if(!( function_exists('ebor_egf_force_styles') )){ 
	function ebor_egf_force_styles( $force_styles ) {
	    return true;
	}
	add_filter( 'tt_font_force_styles', 'ebor_egf_force_styles' );
}

/**
 * Add a clearfix to the end of the_content()
 */
if(!( function_exists('ebor_add_clearfix') )){ 
	function ebor_add_clearfix( $content ) { 
		if( is_single() )
	   		$content = $content .= '<div class="clearfix"></div>';
	    return $content;
	}
	add_filter( 'the_content', 'ebor_add_clearfix' ); 
}

if(!( function_exists('ebor_sharing_icon') )){
	function ebor_sharing_icon($items, $args) {
		$output = $items;
		if( 'primary' == $args->theme_location ){

			$output = '
				<li class="top-link hidden-xs">
				    <a href="#top" class="inner-link">
				    <i class="ti-arrow-up"></i> '. esc_html__('Top','padre') .'</a>
				</li>
			';
				
			$output .= $items;

		}
		return $output;
	}
	add_filter( 'wp_nav_menu_items', 'ebor_sharing_icon', 20,2 );
}

/**
 * Scrolling link rewriting
 */
if(!( function_exists('ebor_one_page_nav_rewrite') )){ 
	function ebor_one_page_nav_rewrite($items, $args) {
		global $post;
		
		if(!( isset($post) )){
			return $items;
		} elseif( preg_match('/in-page-link/', do_shortcode($post->post_content)) ){
			return $items;
		} else {
			return str_replace('href="#', 'href="' . esc_url(home_url('/')) . '#', $items);
		}
	}
	add_filter( 'wp_nav_menu_items', 'ebor_one_page_nav_rewrite', 10,2 );
}