<?php
	/**
	 * comments.php
	 * @author TommusRhodus
	 * @since 1.0.0
	 */
	$custom_comment_form = array(
		'fields' => apply_filters( 'comment_form_default_fields', array(
		    'author' => '<input type="text" id="author" name="author" placeholder="' . esc_attr__('Name *','padre') . '" value="' . esc_attr( $commenter['comment_author'] ) . '" />',
		    'email'  => '<input name="email" type="text" id="email" placeholder="' . esc_attr__('Email *','padre') . '" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" />',
		    'url'    => '<input name="url" type="text" id="url" placeholder="' . esc_attr__('Website','padre') . '" value="' . esc_attr(  $commenter['comment_author_url'] ) . '" />')
		),
		'comment_field' => '<textarea name="comment" placeholder="' . esc_attr__('Your Comment Here','padre') . '" id="comment" aria-required="true" rows="3"></textarea>',
		'cancel_reply_link' => esc_html__( 'Cancel' , 'padre' ),
		'comment_notes_before' => '',
		'comment_notes_after' => '',
		'label_submit' => esc_html__( 'Submit' , 'padre' )
	);
	
	$sidebar = is_active_sidebar('primary');
	$class = ( $sidebar ) ? 'col-sm-12' : 'col-sm-8 col-sm-offset-2';
?>

<div class="row mb64 mt64 mb-xs-24">
    <div class="<?php echo esc_attr($class); ?>">
		
		<div class="ribbon mb24">
		    <h6 class="uppercase mb0"><?php comments_number( esc_html__('0 Comments','padre'), esc_html__('1 Comment','padre'), esc_html__('% Comments','padre') ); ?></h6>
		</div>
	
		<?php
			if( have_comments() ){
				echo '<ul id="singlecomments" class="comments-list">';
				wp_list_comments('type=comment&callback=ebor_custom_comment');
				echo '</ul>';
			}
			paginate_comments_links();
		?>
	
		<hr>
	
		<h5 class="uppercase"><?php esc_html_e('Leave A Comment','padre'); ?></h5>
	
		<?php comment_form($custom_comment_form); ?>

	</div><!--end of comments-->
</div>