<?php 
	global $post;
	
	$logo = get_option('custom_logo', EBOR_THEME_DIRECTORY . 'style/img/logo-dark.png'); 
	$logo_light = get_option('custom_logo_light', EBOR_THEME_DIRECTORY . 'style/img/logo-light.png');
	$background = get_option('header_background', EBOR_THEME_DIRECTORY . 'style/img/home2.jpg');
	
	if( isset($post->ID) ){
		
		$override_background = get_post_meta($post->ID, '_ebor_header_image_override', 1);
		
		if( $override_background ){
			$background = $override_background;
		}
	
	}
?>

<nav class="relative image-bg overlay">
	
	<?php if( 'yes' == get_option('header_utility', 'yes') ) : ?>
	    <div class="nav-utility">
	        <?php get_template_part('inc/content-header','utility'); ?>
	    </div>
    <?php endif; ?>
    
    <div class="pt180 pb180 pt-xs-40 pb-xs-16">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 text-center">
                    <a href="<?php echo esc_url(home_url('/')); ?>">
                        <img class="logo" alt="<?php echo esc_attr(get_bloginfo('title')); ?>" src="<?php echo esc_url($logo_light); ?>" />
                    </a>
                </div>
            </div>
        </div>
    </div>
    
    <div class="module widget-handle mobile-toggle text-center visible-xs">
        <i class="ti-menu"></i>
    </div>
    
    <div class="nav-bar text-center mb-xs-0">
        <?php get_template_part('inc/content-header','menu'); ?>
    </div>
    
    <?php if( $background ) : ?>
	    <div class="background-image-holder">
	        <img alt="Pic" src="<?php echo esc_url($background); ?>" />
	    </div>
	<?php endif; ?>
    
</nav>