<?php 
	get_header();
	the_post();
	
	$sidebar = is_active_sidebar('primary');
	$class = ( $sidebar ) ? 'col-sm-8' : 'col-sm-12';
	$thumb_class = ( $sidebar ) ? 'col-sm-12' : 'col-sm-10 col-sm-offset-1';
	$content_class = ( $sidebar ) ? 'col-sm-12' : 'col-sm-8 col-sm-offset-2';
?>
	
	<section id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	    <div class="container">
	    	<div class="row">
	    	
	    		<div class="row mb40 mb-xs-24">
	    		    <div class="col-sm-12 text-center">
	    		        <div class="ribbon mb24">
	    		            <h6 class="uppercase mb0"><?php the_time(get_option('date_format')); ?></h6>
	    		        </div>
	    		        <?php the_title('<a href="'. get_permalink() .'"><h2 class="alt-font">', '</h2></a>'); ?>
	    		    </div>
	    		</div>
	    	
	    		<div class="<?php echo esc_attr($class); ?>">
					
					<?php if( has_post_thumbnail() ) : ?>
				        <div class="row mb64 mb-xs-24">
				            <div class="<?php echo esc_attr($thumb_class); ?> text-center">
				                <?php the_post_thumbnail('full'); ?>
				            </div>
				        </div>
			        <?php endif; ?>
			
			        <div class="row mb64 mb-xs-24">
			            <div class="<?php echo esc_attr($content_class); ?> post-content">
			                <?php
			                	the_content();
			                	wp_link_pages();
			                	the_tags('',', ','');
			                ?>
			            </div>
			        </div>
			
			        <?php 
			        	get_template_part('inc/content-post','social'); 
			        	
			        	if( comments_open() )
			        		comments_template();
			        ?>
				
				</div>
				
				<?php
					if($sidebar)
						get_sidebar();
				?>
				
			</div>
	    </div>
	</section>
	
<?php
	get_footer();